Bug 445904 - create a new hwcert enables post date by default
create a new hwcert enables post date by default
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: web site (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: XINSUN
Yu Shao
Depends On:
  Show dependency treegraph
Reported: 2008-05-09 14:35 EDT by Rob Landry
Modified: 2008-06-23 03:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: (2.18rh) 2008/05/23 push
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-23 03:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Pls review. (794 bytes, patch)
2008-05-14 07:18 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description Rob Landry 2008-05-09 14:35:13 EDT
Description of problem:

creating a new hwcert and selecting provide manually always defaults to an blank
but enabled postdate group being set.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 XINSUN 2008-05-14 07:18:21 EDT
Created attachment 305349 [details]
Pls review.

The bug only appears at the state: The user who is in the "hwcert_postdate"
group create a new hwcert. it it caused by the below codes:

 SendSQL("SELECT user_id FROM user_group_map
		 WHERE user_id = $::userid
		 AND group_id = $v
		 AND isbless = 0");
	my ($permit) = FetchSQLData();

 if ($permit) {
	    push(@groupstoadd, $v)

foreach my $grouptoadd (@groupstoadd) {
    SendSQL("INSERT INTO bug_group_map (bug_id, group_id)
	     VALUES ($id, $grouptoadd)");

Best Regards!
Comment 2 Rob Landry 2008-05-16 11:54:36 EDT
Looks good, please check-in
Comment 3 XINSUN 2008-05-16 12:46:53 EDT
Patch has been checked into cvs.

Note You need to log in before you can comment on or make changes to this bug.